Subject: Re: Installing from local directory -- trying to avoid massive du plication of effort
From: Christopher Faylor <[email-masked]>
To: Bernard Dautrevaux <[email-masked]>
Cc: "'Phil Edwards'" <[email-masked]>, Jesper Eskilson <[email-masked]>, [email-masked]
Date: Mon, 18 Mar 2002 10:24:41 -0500

On Mon, Mar 18, 2002 at 02:27:15PM +0100, Bernard Dautrevaux wrote:
>> On Fri, Mar 15, 2002 at 08:48:01AM +0100, Jesper Eskilson wrote:
>> > I've been looking for this script. Come to papa! ;-)
>> > 
>> > Won't this leave out the necessary updates to the registry? 
>> Or does mount
>> > take care of that?
>> 
>> The latter; the only entries in the registry are the mount points.
>
>Isn't there also entries in /etc/setup that may be needed to be able to
>update later on? (of course in case we would like to avoid full scripted
>re-install in case of upgrade or if someone need one more package).

If you are going to actually use *setup* to update things later, then,
yes.

Again, as I keep saying, over and over and over, this isn't brain
surgery.  You could create the entries in /etc/setup with a shell
script, too.

I'm trying to dispell the myth that setup is doing anything magical that
couldn't be done with normal utilities.

The things that setup buys you are a gui front-end, dependency checking,
and automatic downloading.  If you just need to repeatedly install a
standard bunch of packages, you don't need to do any of that.

cgf
--
Please do not send me personal email with cygwin questions.
Use the resources at http://cygwin.com/ .

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/